### Hierarchy

- CanvasPathDrawingStyles
  - CanvasRenderingContext2D

## Index

### Properties

- lineCap
- lineDashOffset
- lineJoin
- lineWidth
- miterLimit

### Methods

- getLineDash
- setLineDash

## Properties

### lineCap

lineCap: CanvasLineCap

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3068

### lineDashOffset

lineDashOffset: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3069

### lineJoin

lineJoin: CanvasLineJoin

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3070

### lineWidth

lineWidth: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3071

### miterLimit

miterLimit: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3072

## Methods

### getLineDash

- getLineDash(): number[]

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3073

  #### Returns number[]

### setLineDash

- setLineDash(segments: number[]): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3074

  #### Parameters

  - ##### segments: number[]

  #### Returns void

Generated using TypeDoc